package com.ruoyi.project.cui.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 管线清单对象 t_pipe
 *
 * @author ruoyi
 * @date 2020-12-03
 */
public class TPipe extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 序号 */
    @Excel(name = "序号")
    private Long serialnumber;

    /** 管道编号 */
    @Excel(name = "管道编号")
    private String pipeno;

    /** 管道名称 */
    @Excel(name = "管道名称")
    private String pipename;

    /** 单元 */
    @Excel(name = "单元", dictType = "UNIT")
    private String unit;

    /** 投用年月 */
    @Excel(name = "投用年月")
    private String servicedate;

    /** 长度（m） */
    @Excel(name = "长度", readConverterExp = "m=")
    private Long pipelength;

    /** 起点 */
    @Excel(name = "起点")
    private String starting;

    /** 终点 */
    @Excel(name = "终点")
    private String ending;

    /** 介质编号 */
    @Excel(name = "介质编号")
    private String medium;

    /** 材质 */
    @Excel(name = "材质")
    private String material;

    /** 工作温度（℃） */
    @Excel(name = "工作温度（℃）")
    private String operationtemp;

    /** 图层状况及年限 */
    @Excel(name = "图层状况及年限")
    private String coatingage;

    /** 保温状况 */
    @Excel(name = "保温状况")
    private String jacketing;

    /** 伴热状况 */
    @Excel(name = "伴热状况")
    private String heattracing;

    /** 外部环境 */
    @Excel(name = "外部环境")
    private String exterenv;

    /** 绝热材料 */
    @Excel(name = "绝热材料")
    private String insulatingmaterial;

    /** 管道外径 */
    @Excel(name = "管道外径")
    private String outsidediameter;

    /** 风险等级 */
    @Excel(name = "风险等级")
    private String risk;

    /** 现场巡查状态 */
    @Excel(name = "现场巡查状态")
    private String fieldwalkdown;

    /** 检验人 */
    @Excel(name = "检验人")
    private String inspector;

    /** 检验日期 */
    @Excel(name = "检验日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inspectingdate;

    /** 下次检验日期 */
    @Excel(name = "下次检验日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nextinspectdate;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setSerialnumber(Long serialnumber)
    {
        this.serialnumber = serialnumber;
    }

    public Long getSerialnumber()
    {
        return serialnumber;
    }
    public void setPipeno(String pipeno)
    {
        this.pipeno = pipeno;
    }

    public String getPipeno()
    {
        return pipeno;
    }
    public void setPipename(String pipename)
    {
        this.pipename = pipename;
    }

    public String getPipename()
    {
        return pipename;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setServicedate(String servicedate)
    {
        this.servicedate = servicedate;
    }

    public String getServicedate()
    {
        return servicedate;
    }
    public void setPipelength(Long pipelength)
    {
        this.pipelength = pipelength;
    }

    public Long getPipelength()
    {
        return pipelength;
    }
    public void setStarting(String starting)
    {
        this.starting = starting;
    }

    public String getStarting()
    {
        return starting;
    }
    public void setEnding(String ending)
    {
        this.ending = ending;
    }

    public String getEnding()
    {
        return ending;
    }
    public void setMedium(String medium)
    {
        this.medium = medium;
    }

    public String getMedium()
    {
        return medium;
    }
    public void setMaterial(String material)
    {
        this.material = material;
    }

    public String getMaterial()
    {
        return material;
    }
    public void setOperationtemp(String operationtemp)
    {
        this.operationtemp = operationtemp;
    }

    public String getOperationtemp()
    {
        return operationtemp;
    }
    public void setCoatingage(String coatingage)
    {
        this.coatingage = coatingage;
    }

    public String getCoatingage()
    {
        return coatingage;
    }
    public void setJacketing(String jacketing)
    {
        this.jacketing = jacketing;
    }

    public String getJacketing()
    {
        return jacketing;
    }
    public void setHeattracing(String heattracing)
    {
        this.heattracing = heattracing;
    }

    public String getHeattracing()
    {
        return heattracing;
    }
    public void setExterenv(String exterenv)
    {
        this.exterenv = exterenv;
    }

    public String getExterenv()
    {
        return exterenv;
    }
    public void setInsulatingmaterial(String insulatingmaterial)
    {
        this.insulatingmaterial = insulatingmaterial;
    }

    public String getInsulatingmaterial()
    {
        return insulatingmaterial;
    }
    public void setOutsidediameter(String outsidediameter)
    {
        this.outsidediameter = outsidediameter;
    }

    public String getOutsidediameter()
    {
        return outsidediameter;
    }
    public void setRisk(String risk)
    {
        this.risk = risk;
    }

    public String getRisk()
    {
        return risk;
    }
    public void setFieldwalkdown(String fieldwalkdown)
    {
        this.fieldwalkdown = fieldwalkdown;
    }

    public String getFieldwalkdown()
    {
        return fieldwalkdown;
    }
    public void setInspector(String inspector)
    {
        this.inspector = inspector;
    }

    public String getInspector()
    {
        return inspector;
    }
    public void setInspectingdate(Date inspectingdate)
    {
        this.inspectingdate = inspectingdate;
    }

    public Date getInspectingdate()
    {
        return inspectingdate;
    }
    public void setNextinspectdate(Date nextinspectdate)
    {
        this.nextinspectdate = nextinspectdate;
    }

    public Date getNextinspectdate()
    {
        return nextinspectdate;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("serialnumber", getSerialnumber())
            .append("pipeno", getPipeno())
            .append("pipename", getPipename())
            .append("unit", getUnit())
            .append("servicedate", getServicedate())
            .append("pipelength", getPipelength())
            .append("starting", getStarting())
            .append("ending", getEnding())
            .append("medium", getMedium())
            .append("material", getMaterial())
            .append("operationtemp", getOperationtemp())
            .append("coatingage", getCoatingage())
            .append("jacketing", getJacketing())
            .append("heattracing", getHeattracing())
            .append("exterenv", getExterenv())
            .append("insulatingmaterial", getInsulatingmaterial())
            .append("outsidediameter", getOutsidediameter())
            .append("risk", getRisk())
            .append("fieldwalkdown", getFieldwalkdown())
            .append("inspector", getInspector())
            .append("inspectingdate", getInspectingdate())
            .append("nextinspectdate", getNextinspectdate())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .toString();
    }
}
